%define name	razorback
%define version 0.1.0
%define release 1
%define prefix  /usr

Summary: A intrusion detection tool for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Internet
URL: http://www.intersectalliance.com/

Source: http://www.intersectalliance.com/razorback/razorback-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

Docdir: %{prefix}/doc

Requires: gtk+ >= 1.2.7
Requires: gnome-libs >= 1.2.0

%description
Razorback is a monitoring interface to the SNORT intrusion detection toolkit for GNOME.

%prep

%setup

%build
CFLAGS="-O2" 
%ifarch i586
CFLAGS="-O2 -mpentium -march=pentium" 
%endif
%ifarch i686
CFLAGS="-O2 -mpentiumpro -march=pentiumpro" 
%endif
./configure --prefix=%{prefix} --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin

make prefix=$RPM_BUILD_ROOT%{prefix} install

mv $RPM_BUILD_ROOT/usr/bin/razorback $RPM_BUILD_ROOT/usr/sbin/
ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT/%{prefix}/bin/razorback

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat > $RPM_BUILD_ROOT/etc/pam.d/razorback <<EOF
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_pwdb.so
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat > $RPM_BUILD_ROOT/etc/security/console.apps/razorback <<EOF
USER=root
FALLBACK=true
PROGRAM=/usr/sbin/razorback
SESSION=true
EOF

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{prefix}/sbin/razorback
%{prefix}/share/gnome/apps/Internet/razorback.desktop
%{prefix}/share/pixmaps/*
%{prefix}/bin/razorback
/etc/pam.d/razorback
/etc/security/console.apps/razorback

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Thu Jun 01 2000 Leigh Purdie
- First spec file based on firestarter by Tomas Junnonen
